#if !defined(AFX_PAGERLISTVIEW_H__04950003_5EF4_11D3_A69F_00C04F796AE5__INCLUDED_)
#define AFX_PAGERLISTVIEW_H__04950003_5EF4_11D3_A69F_00C04F796AE5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PagerListView.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CPagerListView view

class CPagerListView : public CListView
{
protected:
	CPagerListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CPagerListView)

// Attributes
protected:
	enum {NUM_COLUMNS = 7};
	int			m_cx;
	BOOL		m_nEdit;
	int         nSortedCol; 
	BOOL        bSortAscending;
	BOOL		m_DisplayColumn [NUM_COLUMNS];
	

protected:
	enum
	{
		COL_NAME  	= 0,
		COL_WPHONE	= 1,
		COL_MPHONE  = 2,
		COL_HPHONE  = 3,
		COL_NOTE    = 4,
	};

	static UINT	m_ColumnLabelID [NUM_COLUMNS];	// list view control header IDs, loaded from resource
	static int	m_ColumnFormat  [NUM_COLUMNS];	// list view column format
	int			m_ColumnWidth   [NUM_COLUMNS];	
// Attributes
public:
	SortTextItems(int nCol, BOOL bAscending, int low, int high);
// Operations
public:
	CString m_GlobName;
	void ShowContextMenu (int index, CPoint point);
	void SetListSelection();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPagerListView)
	public:
	virtual void OnInitialUpdate();
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual void PreSubclassWindow();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPagerListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CPagerListView)
	afx_msg void OnFileMovefirst();
	afx_msg void OnFileMovelast();
	afx_msg void OnFileMovenext();
	afx_msg void OnFileMoveprev();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnUpdateFileMovefirst(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileMovelast(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileMovenext(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileMoveprev(CCmdUI* pCmdUI);
	afx_msg void OnPopmenuDel();
	afx_msg void OnPopmenuUpdate();
	afx_msg void OnPopmenuRefresh();
	afx_msg void OnUpdatePopmenuRefresh(CCmdUI* pCmdUI);
	afx_msg void OnPopmenuNewRecord();
	afx_msg void OnToolNewrecord();
	afx_msg void OnToolDelrecord();
	afx_msg void OnToolRefresh();
	afx_msg void OnToolUpdaterecord();
	afx_msg void OnUpdateToolUpdaterecord(CCmdUI* pCmdUI);
	afx_msg void OnUpdateToolDelrecord(CCmdUI* pCmdUI);
	afx_msg void OnClick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFileWeb();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGERLISTVIEW_H__04950003_5EF4_11D3_A69F_00C04F796AE5__INCLUDED_)
